# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/File.pm) perl(Daemon/Generic.pm) perl(Daemon/Generic/While1.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(FindBin.pm) perl(Mail/Sendmail.pm) perl(Module/Build.pm) perl(Storable.pm) perl(Sys/Hostname.pm) perl(Test/More.pm) perl(base.pm) perl(boolean.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name App-OpenVZ-BCWatch
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Monitor the OpenVZ user_beancounters file
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SC/SCHUBIGER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`App::OpenVZ::BCWatch' monitors the /proc/user_beancounters file and sends
mail notifications whenever important values change (as defined by the user).

The recommended usage of this application module is to use the provided
the vzwatchd manpage daemon.

Version 2.5 of the user_beancounters file is supported.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

